import React, { useState, useEffect } from 'react';

function zeroPadding(num) {
  return num < 10 ? `0${num}` : `${num}`;
}

function getTime(dt) {
  const hour = dt.getHours();
  const minuts = dt.getMinutes();
  const seconds = dt.getSeconds();

  return [zeroPadding(hour), zeroPadding(minuts), zeroPadding(seconds)].join(':');
}

function getDate(dt) {
  const year = dt.getFullYear();
  const month = dt.getMonth() + 1;
  const day = dt.getDate();

  return [year, zeroPadding(month), zeroPadding(day)].join('-');
}

export function useTime() {
  const [time, setTime] = useState();

  useEffect(() => {
    setTime(getTime(new Date()));
    const t = setInterval(() => {
      setTime(getTime(new Date()));
    }, 1000);

    return () => clearInterval(t);
  }, []);

  return time;
}

export function useDate() {
  const [time, setTime] = useState();

  useEffect(() => {
    setTime(getDate(new Date()));
    const t = setInterval(() => {
      setTime(getDate(new Date()));
    }, 60000);

    return () => clearInterval(t);
  }, []);

  return time;
}
