import { useEffect, useState } from 'react';
import { Select } from 'antd'
import { getMachineryTypeList, getMachineryTypeDetail } from '@/services/machineryType'

const Option = Select.Option;
export default (props) => {
  const { value, onChange, ...otherProps } = props;

  const [list, setList] = useState([])

  const searchData = (val) => {
    getMachineryTypeList({ hotelName: val, pageSize: 9999 }).then((res) => {
      setList(res.records || [])
    })
  }

  const handleSearch = (text) => {
    if (text) {
      searchData(text)
    }
  }

  useEffect(() => {
    if (value) {
      getMachineryTypeDetail(value).then((res) => {
        setList([res])
      })
    }
  }, [value])

  return (
    <Select
      showSearch
      value={value}
      defaultActiveFirstOption={false}
      showArrow={false}
      filterOption={false}
      onSearch={handleSearch}
      onChange={onChange}
      notFoundContent={null}
      {...otherProps}
    >
      {
        list.map((item) => {
          return (
            <Option key={item.typeId} value={item.typeId}>{item.name}</Option>
          )
        })
      }
    </Select>
  )
}
